

#include <QContextMenuEvent>
#include "mainwindow.h"
#include "ui_mainwindow.h"

QMenu* contextmenu;


MainWindow::MainWindow(QWidget *parent) :
QMainWindow(parent),
ui(new Ui::MainWindow)
{
	ui->setupUi(this);
	QAction* submenuaction = new QAction("submenu",this);
	submenuaction->setMenu(new QMenu("subs",this));

//2:
	contextmenu = new QMenu("context",this);
	contextmenu->addAction(submenuaction);

//1:
	QMenu* filemenu = new QMenu("files",this);
	filemenu->addAction(submenuaction);

	QMenuBar* mbar = new QMenuBar(this);
	mbar->addMenu(filemenu);
}

MainWindow::~MainWindow()
{
	delete ui;
}


void MainWindow::contextMenuEvent(QContextMenuEvent *e)
{
	QPoint gpos = e->globalPos();
	contextmenu->popup( gpos );
	e->accept();

}
